=== src/modes/base/CMakeLists.txt ===
--- 
+++ 
@@ -37,5 +37,9 @@
 	ksystemlog_lib
 	ksystemlog_config
 
-        KF5::XmlGui
+        KF${KF_MAJOR_VERSION}::XmlGui
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+	target_link_libraries(ksystemlog_base_mode Qt::Core5Compat)
+endif()
