=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ksystemlog
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -25,16 +26,16 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/ksystemlog
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
 
 Package: ksystemlog
 Section: admin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: system log viewer
  KSystemLog show all logs of your system, grouped by General (Default system
  log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,
