=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ksystemlog
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libaudit-dev [linux-any],
@@ -14,6 +13,7 @@
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6itemviews-dev (>= 6.3.0~),
@@ -29,8 +29,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/ksystemlog
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
 
 Package: ksystemlog
 Section: admin
