## ksystemlog 24.12.1

=== debian/changelog ===
ksystemlog (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:38:06 +0000

ksystemlog (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:19:46 +0000

ksystemlog (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:13:39 +0000

ksystemlog (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 08:04:08 +0000

ksystemlog (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:58:40 +0000

ksystemlog (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:44 +0000

ksystemlog (4:24.08.2-1ubuntu4) plucky; urgency=medium

  * Fix FTBFS-causing indent issue.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 13:31:12 -0600

ksystemlog (4:24.08.2-1ubuntu3) plucky; urgency=medium

  * Remove blank/unnecessary if/else.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:47:58 -0600

ksystemlog (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Skip tests on armhf.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:40:35 -0600
