=== debian/changelog ===
ksystemlog (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the program has a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:58 +0200
