=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/ksystemlog
+Homepage: https://apps.kde.org/ksystemlog/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
