## ksystemlog 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "6.7.0")
-set (KF_MIN_VERSION "6.3.0")
+set (QT_MIN_VERSION "6.8.0")
+set (KF_MIN_VERSION "6.11.0")
 
 find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -104,8 +104,8 @@
 
 
 ########### Subfolders ##########
-ecm_set_disabled_deprecation_versions(QT 6.8
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9
+    KF 6.13.0
 )
